Retrieves all brands for the workspace, including the default brand. The default brand id always matches the workspace id.
Requires the read_brands OAuth scope.
Security
bearerAuth
Intercom-Versionstring(intercom_version)
Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
- The production API serverhttps://api.intercom.io/brands
- The european API serverhttps://api.eu.intercom.io/brands
- The australian API serverhttps://api.au.intercom.io/brands
curl -i -X GET \
https://api.intercom.io/brands \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Intercom-Version: 2.17'Successful response
dataArray of objects(Brand)
Response
{ "type": "list", "data": [ { … }, { … } ] }